
Redmine - Defect #17309

RSS feed gives away localhost link

2014-06-26 09:32 - Konstantin Kivi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.5.1

Description

I can see rss streem but

not use it, because it referes to

unaccessible content.

Note localhost:3000 links below.

Email notification contains valid links, though.

redmine works behind nginx, but I think it's irrelevant

<?xml version="1.0" encoding="UTF-8"?>

<feed xmlns="http://www.w3.org/2005/Atom">

  <title></title>

  <link rel="self" href="http://localhost:3000/issues/16102.atom?key=12de9c34533537eeb40bca3c64332

2ef39adef9c"/>

  <link rel="alternate" href="http://localhost:3000/"/>

  <id>http://localhost:3000/</id>

  <icon>http://localhost:3000/favicon.ico?1396112202</icon>

  <updated>2014-06-26T06:44:49Z</updated>

  <author>

    <name>our redmine</name>

  </author>

  <entry>

    <title>MyProject - bug #16102: some bug</title>

    <link rel="alternate" href="http://localhost:3000/issues/16102"/>

    <id>http://localhost:3000/issues/16102?journal_id=90550</id>

    <updated>2014-06-26T06:44:49Z</updated>

    <author>

      <name>my name</name>

      <email>my email</email>

    </author>

    <content type="html">

&lt;ul&gt;&lt;li&gt;parameter &lt;strong&gt;version&lt;/strong&gt; changed to &lt;i&gt;v1.2-5&lt;/

i&gt;&lt;/li&gt;&lt;/ul&gt;    </content>

  </entry>

</feed>

 This is my configuration

Environment:

  Redmine version                2.5.1.stable

  Ruby version                   1.9.3-p194 (2012-04-20) [x86_64-linux]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.7.9

  Git                            1.8.3.2

  Filesystem                     

Redmine plugins:

  once_assigned_ever_watcher     0.1.0
  redmine_lightbox               0.0.1

  redmine_plugin_views_revisions 0.0.1

  redmine_pretend                0.0.3

  redmine_xls_export             0.2.1.t5

Related issues:

Related to Redmine - Defect #11147: relative_url_root changes only css... , b... New

Related to Redmine - Defect #10535: Atom feeds for the Project Activity conta... Reopened

Associated revisions

Revision 13196 - 2014-06-30 15:35 - Toshi MARUYAMA

Gemfile: update builder version >= 3.0.4 (#17309)

History

#1 - 2014-06-26 09:35 - Konstantin Kivi

note #11147-3

#2 - 2014-06-26 09:38 - Toshi MARUYAMA

- Status changed from New to Needs feedback

What is "Host name and path" in setting?

#3 - 2014-06-30 13:31 - Konstantin Kivi

- File Selection_070.png added

redmine.komtex

This address is resolvable in our local network and

it is how we get to redmine in browser

#4 - 2014-06-30 15:12 - Toshi MARUYAMA

- Related to Defect #11147: relative_url_root changes only css... , but not dynamic pages added

#5 - 2014-06-30 16:39 - Toshi MARUYAMA

Try r13196 change to your installation.

#6 - 2014-07-02 06:34 - Konstantin Kivi

It didn't help. we changed the line from patch

and installed required builder version.

#7 - 2014-07-02 06:49 - Toshi MARUYAMA

- Status changed from Needs feedback to New

Redmine uses url_for in this line.

source:tags/2.5.1/app/views/common/feed.atom.builder#L4

So, we cannot do anything.

It is problem of your web server or builder.

#8 - 2020-11-14 06:42 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed by #10535 for upcoming Redmine 4.2.0. After r19810, Redmine uses Setting.host_name ("Administration" > "Settings" > "General" > "Host

name and path").

#9 - 2020-11-14 06:42 - Go MAEDA

- Related to Defect #10535: Atom feeds for the Project Activity contain incorrect hostname added

Files
